gdcm::AudioCodec Class Reference

AudioCodec. More...

`#include <gdcmAudioCodec.h>`

Inheritance diagram for gdcm::AudioCodec:
[legend]
Collaboration diagram for gdcm::AudioCodec:
[legend]

## Public Member Functions

| AudioCodec ()
| ~AudioCodec () override
bool | CanCode (TransferSyntax const &) const override
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &) const override
| Return whether this decoder support this transfer syntax (can decode it).
bool | Decode (DataElement const &is, DataElement &os) override
| Decode.
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)
Protected Member Functions inherited from gdcm::Decoder
virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

AudioCodec.

## Constructor & Destructor Documentation

## AudioCodec()

gdcm::AudioCodec::AudioCodec | ( |  | ) |

## ~AudioCodec()

gdcm::AudioCodec::~AudioCodec | ( |  | ) |

override

## Member Function Documentation

## CanCode()

bool gdcm::AudioCodec::CanCode | ( | TransferSyntax const & |  | ) | const

inline override virtual

Return whether this coder support this transfer syntax (can code it).

Implements gdcm::Coder.

## CanDecode()

bool gdcm::AudioCodec::CanDecode | ( | TransferSyntax const & |  | ) | const

inline override virtual

Return whether this decoder support this transfer syntax (can decode it).

Implements gdcm::Decoder.

## Decode()

bool gdcm::AudioCodec::Decode | ( | DataElement const & | ,
|  | DataElement & | )

override virtual

Decode.

Reimplemented from gdcm::Decoder.

The documentation for this class was generated from the following file:

- gdcmAudioCodec.h